package com.css.simulation.resource.server.infra.db.mysql.mapper;

import api.common.pojo.param.scene.SystemScenePackageParam;
import api.common.pojo.po.scene.SystemScenePackageNewPO;
import api.common.pojo.po.scene.SystemScenePackagePO;
import api.common.pojo.vo.scene.SystemScenePackageVO;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Mapper
@Repository
public interface SystemScenePackageMapper {

    void saveSystemScenePackage(SystemScenePackagePO po);

    List<SystemScenePackageVO> querySystemScenePackageList(SystemScenePackageParam params);
    List<SystemScenePackageVO> queryPackageByUserIdList(SystemScenePackageParam params);
    Map queryPackageByUserId(SystemScenePackageParam param );
    SystemScenePackagePO querySystemScenePackageById(SystemScenePackageParam params);
    void deleteSystemScenePackage(SystemScenePackagePO po);
    void updateSystemScenePackage(SystemScenePackagePO po);

    //首页场景数量
    Integer querySceneNum(String userId);

    //查询名称是否重复
    String queryScenePackageByPackageName(SystemScenePackageNewPO params);

    //查询勾选场景数量
    List<Map> querySystemScenePackageListByTJ(SystemScenePackageParam params);


    //查询勾选场景中自然数量
    List<String> querySceneStandardsRegulationsListByTJ(SystemScenePackageParam po);
    List<String> querySceneNaturalListByTJ(SystemScenePackageParam po);
    List<String> querySceneAccidentListByTJ(SystemScenePackageParam po);
    List<String> querySceneGeneralTemplateListByTJ(SystemScenePackageParam po);

}
